Package com.io7m.idstore.server.service.configuration.jaxb

# Class ColorScheme

java.lang.Object
com.io7m.idstore.server.service.configuration.jaxb.ColorScheme

public class ColorScheme extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:com.io7m.idstore:configuration:1}ButtonColors"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}ErrorBorderColor"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}HeaderBackgroundColor"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}HeaderLinkColor"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}HeaderTextColor"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}MainBackgroundColor"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}MainLinkColor"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}MainMessageBorderColor"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}MainTableBorderColor"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}MainTextColor"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ButtonColors`
  `buttonColors`
  `protected ColorType`
  `errorBorderColor`
  `protected ColorType`
  `headerBackgroundColor`
  `protected ColorType`
  `headerLinkColor`
  `protected ColorType`
  `headerTextColor`
  `protected ColorType`
  `mainBackgroundColor`
  `protected ColorType`
  `mainLinkColor`
  `protected ColorType`
  `mainMessageBorderColor`
  `protected ColorType`
  `mainTableBorderColor`
  `protected ColorType`
  `mainTextColor`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColorScheme()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ButtonColors`
  `getButtonColors()`
  Gets the value of the buttonColors property.
  `ColorType`
  `getErrorBorderColor()`
  Gets the value of the errorBorderColor property.
  `ColorType`
  `getHeaderBackgroundColor()`
  Gets the value of the headerBackgroundColor property.
  `ColorType`
  `getHeaderLinkColor()`
  Gets the value of the headerLinkColor property.
  `ColorType`
  `getHeaderTextColor()`
  Gets the value of the headerTextColor property.
  `ColorType`
  `getMainBackgroundColor()`
  Gets the value of the mainBackgroundColor property.
  `ColorType`
  `getMainLinkColor()`
  Gets the value of the mainLinkColor property.
  `ColorType`
  `getMainMessageBorderColor()`
  Gets the value of the mainMessageBorderColor property.
  `ColorType`
  `getMainTableBorderColor()`
  Gets the value of the mainTableBorderColor property.
  `ColorType`
  `getMainTextColor()`
  Gets the value of the mainTextColor property.
  `void`
  `setButtonColors(ButtonColors value)`
  Sets the value of the buttonColors property.
  `void`
  `setErrorBorderColor(ColorType value)`
  Sets the value of the errorBorderColor property.
  `void`
  `setHeaderBackgroundColor(ColorType value)`
  Sets the value of the headerBackgroundColor property.
  `void`
  `setHeaderLinkColor(ColorType value)`
  Sets the value of the headerLinkColor property.
  `void`
  `setHeaderTextColor(ColorType value)`
  Sets the value of the headerTextColor property.
  `void`
  `setMainBackgroundColor(ColorType value)`
  Sets the value of the mainBackgroundColor property.
  `void`
  `setMainLinkColor(ColorType value)`
  Sets the value of the mainLinkColor property.
  `void`
  `setMainMessageBorderColor(ColorType value)`
  Sets the value of the mainMessageBorderColor property.
  `void`
  `setMainTableBorderColor(ColorType value)`
  Sets the value of the mainTableBorderColor property.
  `void`
  `setMainTextColor(ColorType value)`
  Sets the value of the mainTextColor property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### buttonColors

    protected ButtonColors buttonColors

  - ### errorBorderColor

    protected ColorType errorBorderColor

  - ### headerBackgroundColor

    protected ColorType headerBackgroundColor

  - ### headerLinkColor

    protected ColorType headerLinkColor

  - ### headerTextColor

    protected ColorType headerTextColor

  - ### mainBackgroundColor

    protected ColorType mainBackgroundColor

  - ### mainLinkColor

    protected ColorType mainLinkColor

  - ### mainMessageBorderColor

    protected ColorType mainMessageBorderColor

  - ### mainTableBorderColor

    protected ColorType mainTableBorderColor

  - ### mainTextColor

    protected ColorType mainTextColor

- ## Constructor Details

  - ### ColorScheme

    public ColorScheme()

- ## Method Details

  - ### getButtonColors

    public ButtonColors getButtonColors()
    Gets the value of the buttonColors property.
    Returns:
      possible object is `ButtonColors`

  - ### setButtonColors

    public void setButtonColors(ButtonColors value)
    Sets the value of the buttonColors property.
    Parameters:
      `value` - allowed object is `ButtonColors`

  - ### getErrorBorderColor

    public ColorType getErrorBorderColor()
    Gets the value of the errorBorderColor property.
    Returns:
      possible object is `ColorType`

  - ### setErrorBorderColor

    public void setErrorBorderColor(ColorType value)
    Sets the value of the errorBorderColor property.
    Parameters:
      `value` - allowed object is `ColorType`

  - ### getHeaderBackgroundColor

    public ColorType getHeaderBackgroundColor()
    Gets the value of the headerBackgroundColor property.
    Returns:
      possible object is `ColorType`

  - ### setHeaderBackgroundColor

    public void setHeaderBackgroundColor(ColorType value)
    Sets the value of the headerBackgroundColor property.
    Parameters:
      `value` - allowed object is `ColorType`

  - ### getHeaderLinkColor

    public ColorType getHeaderLinkColor()
    Gets the value of the headerLinkColor property.
    Returns:
      possible object is `ColorType`

  - ### setHeaderLinkColor

    public void setHeaderLinkColor(ColorType value)
    Sets the value of the headerLinkColor property.
    Parameters:
      `value` - allowed object is `ColorType`

  - ### getHeaderTextColor

    public ColorType getHeaderTextColor()
    Gets the value of the headerTextColor property.
    Returns:
      possible object is `ColorType`

  - ### setHeaderTextColor

    public void setHeaderTextColor(ColorType value)
    Sets the value of the headerTextColor property.
    Parameters:
      `value` - allowed object is `ColorType`

  - ### getMainBackgroundColor

    public ColorType getMainBackgroundColor()
    Gets the value of the mainBackgroundColor property.
    Returns:
      possible object is `ColorType`

  - ### setMainBackgroundColor

    public void setMainBackgroundColor(ColorType value)
    Sets the value of the mainBackgroundColor property.
    Parameters:
      `value` - allowed object is `ColorType`

  - ### getMainLinkColor

    public ColorType getMainLinkColor()
    Gets the value of the mainLinkColor property.
    Returns:
      possible object is `ColorType`

  - ### setMainLinkColor

    public void setMainLinkColor(ColorType value)
    Sets the value of the mainLinkColor property.
    Parameters:
      `value` - allowed object is `ColorType`

  - ### getMainMessageBorderColor

    public ColorType getMainMessageBorderColor()
    Gets the value of the mainMessageBorderColor property.
    Returns:
      possible object is `ColorType`

  - ### setMainMessageBorderColor

    public void setMainMessageBorderColor(ColorType value)
    Sets the value of the mainMessageBorderColor property.
    Parameters:
      `value` - allowed object is `ColorType`

  - ### getMainTableBorderColor

    public ColorType getMainTableBorderColor()
    Gets the value of the mainTableBorderColor property.
    Returns:
      possible object is `ColorType`

  - ### setMainTableBorderColor

    public void setMainTableBorderColor(ColorType value)
    Sets the value of the mainTableBorderColor property.
    Parameters:
      `value` - allowed object is `ColorType`

  - ### getMainTextColor

    public ColorType getMainTextColor()
    Gets the value of the mainTextColor property.
    Returns:
      possible object is `ColorType`

  - ### setMainTextColor

    public void setMainTextColor(ColorType value)
    Sets the value of the mainTextColor property.
    Parameters:
      `value` - allowed object is `ColorType`